Skip to main content
GET
Get a Transaction

Path Parameters

id
integer<int64>
required

Response

OK

transaction_id
integer<int64>

Ecrypt transaction identifier.

type
string | null

Initial transaction type. *** Supported Values ***

  • AUTHORIZATION
  • SALE
  • CREDIT
  • REFUND
  • VALIDATION
tender
string | null

Tender for transaction. *** Supported Values ***

  • CREDITCARD
  • CHECK
  • CASH
payment_name
string | null

Customer name associated with the payment.

payment_network
string | null

Payment network for the transaction tender and payment account. *** Supported Values ***

  • AX, American Express
  • DI, Discover Card
  • MC, Mastercard
  • VI, Visa
  • ACH, ACH/Check
  • CASH
payment_account
string | null

Masked payment account. Format for tender CREDITCARD is 123456XXXXXX1234, for tender CHECK is 1XXXXXX1234.

payment_account_expiry
string | null

Expiry for payment when tender is CREDITCARD, format is MMyy. Example 0135 for January 2035.

amount
number<double>

Amount requested for authorization.

authorization_amount
number<double> | null

Amount successfully authorized.

captured_amount
number<double> | null

Amount successfully captured.

gratuity_amount
number<double> | null

Amount of gratuity/tip applied to the transaction. Only available for specific merchant codes.

surcharge_amount
number<double> | null

Amount of surcharge/convenience fee applied to the transaction. Only available for approved compliant merchants.

settlement_amount
number<double> | null

Amount successfully settled to the merchant.

voided_amount
number<double> | null

Amount successfully voided for the transaction.

reference_transaction_id
number<double> | null

Reference Ecrypt transaction identifier. This is normally the original Ecrypt transaction id that was refunded.

approval_code
string | null

Network approval code when tender is CREDITCARD.

avs_code
string | null

Address verification code when tender is CREDITCARD.

cvv_code
string | null

Card verification value response code when tender is CREDITCARD.

enhanced
boolean | null

Transaction is tier II/III qualified.

status
string | null

Type of event *** Supported Values ***

  • APPROVED
  • DECLINED
  • ERROR
  • CAPTURED
  • SETTLED
  • VOIDED
  • REJECTED
  • CHARGEBACK
created
string<date-time>

Create date time represented in UTC.

events
object[] | null

List of events associated with this transaction.